List Webhooks
List all webhooks for the organization. The signing secret is not returned in list responses.
GET
/webhooksResend Compatibility: Compatible
Requires a full_access API key.
Query Parameters
limitnumberMaximum number of results to return. Min 1, max 100.
afterstringCursor for forward pagination.
beforestringCursor for backward pagination.
Response Fields
objectstringAlways "list".
has_morebooleanWhether there are more results available.
dataarrayArray of webhook objects (without signing secrets).
curl -X GET 'https://api.postflare.app/webhooks' \
-H 'Authorization: Bearer re_xxxxxxxxx'const response = await fetch('https://api.postflare.app/webhooks', {
headers: {
'Authorization': 'Bearer re_xxxxxxxxx',
},
});
const data = await response.json();Response
{
"object": "list",
"has_more": false,
"data": [
{
"id": "wh_a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"created_at": "2026-01-01T00:00:00.000Z",
"status": "enabled",
"endpoint": "https://example.com/webhooks",
"events": ["email.sent", "email.delivered", "email.bounced"]
}
]
}